
_phogen_map_c = PHOGEN_MAP_EXE.full_path()
_phogen_map_py = meson.source_root() / '@0@'.format(PHOGEN_MAP_PY[0])
_word_list = meson.source_root() / '@0@'.format(PHOGEN_WORD_LIST[0])

test('test_phogen_map',
    find_program('test_phogen_map'),
    env : ['PHOGEN_MAP_C=@0@'.format(_phogen_map_c),
           'PHOGEN_MAP_PY=@0@'.format(_phogen_map_py),
           'PHOGEN_WORD_LIST=@0@'.format(_word_list)])

test('test_bhash_py',
    find_program('test_bhash.py'),
    env: ['PYTHONPATH=' + PYTHONPATH])

test('test_phogen_py',
    find_program('test_phogen.py'),
    env: ['PYTHONPATH=' + PYTHONPATH])

